<?php
date_default_timezone_set("UTC");
$title = "members";
include __DIR__.'/../header.php';
?>
    <h1><img style="width:75px;" alt="logo" src="../logos/tildeverse-green.png">tildeverse members</h1>
    <p><a href="/">&lt; back</a></p>
    <?php foreach (json_decode(file_get_contents("../members.json"))->members ?? [] as $member): ?>
    <div class="list-group">
        <div class="list-group-item">
            <h3 class="list-group-item-heading"><a href="<?=$member->link?>"><?=$member->name?></a></h3>
            <div class="list-group-item-text">
                <?=$member->description?>
                <br><br>
                <p><strong>sysadmin<?=count($member->sysadmins) > 1 ? 's' : ''?></strong>:
                    <?php foreach ($member->sysadmins as $admin): ?>
                        <a href="<?=$admin->link?>"><?=$admin->name?></a>
                    <?php endforeach; ?>
                </p>
                <p><strong>os</strong>: <?=$member->os?></p>
                <p><strong>channel</strong>: <a href="https://tilde.chat/kiwi/<?=$member->channel?>"><?=$member->channel?></a></p>
                <?php if (!empty($member->created)) { ?>
                    <p><strong>created</strong>: <?=date("D M jS, Y", strtotime($member->created))?></p>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php endforeach;?>
<?php include __DIR__.'/../footer.php'; ?>
